Mono.Cairo 1.0.5000.0 2.0.0.0 System.Object System.IDisposable Base class for surfaces A represents an image, either as the destination of a drawing operation or as source when drawing onto another surface. There are different subtypes of Surface for different drawing backends; for example, creates a bitmap image in memory.
- Constructor
  Internal constructor
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Property
  Cairo.Content To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Cairo.Surface `` `` `` format of pixels in the surface to create width of the surface, in pixels height of the surface, in pixels Creates an image surface of the specified format and dimensions. Newly created surface. The initial contents of the surface is undefined; you must explicitely clear the buffer, using, for example, cairo_rectangle() and cairo_fill() if you want it cleared. 1.0.5000.0 2.0.0.0 System.Obsolete("Use an ImageSurface constructor instead.")
- Method
  Cairo.Surface `` `` `` `` `` a buffer supplied by the application in which to write contents the format of pixels in the buffer the width of the image to be stored in the buffer the height of the image to be stored in the buffer the number of bytes between the start of rows in the buffer. Having this be specified separate from width allows for padding at the end of rows, or for writing to a subportion of a larger image Creates an image surface for the provided pixel data. The output buffer must be kept around until the cairo_surface_t is destroyed or cairo_surface_finish() is called on the surface. The initial contents of buffer will be used as the inital image contents; you must explicitely clear the buffer, using, for example, cairo_rectangle() and cairo_fill() if you want it cleared. Newly created surface. To be added. 1.0.5000.0 2.0.0.0 System.Obsolete("Use an ImageSurface constructor instead.")
- Method
  Cairo.Surface `` `` `` the content for the new surface width of the new surface, (in device-space units) height of the new surface (in device-space units) Create a new surface that is as compatible as possible with an existing surface. the newly allocated surface. The new surface will use the same backend unless that is not possible for some reason. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Cairo.PointD To be added. To be added. In cairo 1.0 this property is write only. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  Cairo.Status To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr To be added. To be added. To be added. System.Obsolete("Use Handle instead.") 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.UInt32 To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Cairo.Status Checks whether an error has previously occurred for this surface. the status 1.0.5000.0 2.0.0.0
- Field
  System.Collections.Hashtable To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Cairo.SurfaceType To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void `` The name of a file to write to Writes the contents of the surface to a new file as a PNG image. 1.0.5000.0 2.0.0.0